" Add an entry for 'cct' to
"	/usr/share/vim/vim???/filetype.vim
" and
"	/usr/share/vim/vim???/syntax/synload.vim (vim 5.x only)
" respectively, and copy this file to:
"	/usr/share/vim/vim???/syntax/.
"===================================================
"
" Vim syntax file
" Language:	CCT
" Maintainer:	Zhang Linbo <zlb@lsec.cc.ac.cn>
" Last change:	2001 Nov 14

" For version 5.x: Clear all syntax items
" For version 6.x: Quit when a syntax file was already loaded
if version < 600
  syntax clear
elseif exists("b:current_syntax")
  finish
endif

" Read the TeX syntax to start with
if version < 600
  so <sfile>:p:h/tex.vim
else
  "runtime! syntax/tex.vim
  "unlet b:current_syntax
  so $VIMRUNTIME/syntax/tex.vim
endif

syn match texTypeStyle		"\\songti\>"
syn match texTypeStyle		"\\heiti\>"
syn match texTypeStyle		"\\fangsong\>"
syn match texTypeStyle		"\\kaishu\>"
syn match texTypeStyle		"\\biaosong\>"
syn match texTypeStyle		"\\lishu\>"
syn match texTypeStyle		"\\ziti\>"

syn match texTypeSize		"\\zihao\>"

" digits, letters, plus some symbols
syn match cctASCII "\a"
syn match cctDIGIT "\d"
syn match cctPUNCT "-\|,\|\.\|;\|!\|?\|:\|(\|)\|\[\|\]\|\""

highlight cctASCII ctermfg=cyan guifg=cyan
highlight cctPUNCT ctermfg=darkred guifg=darkred
highlight cctDIGIT ctermfg=darkred guifg=darkred

" Bug fix (syntax/tex.vim)
syn region texZone
	\ start="\\begin{verbatim\*}"
	\ end="\\end{verbatim\*}\|%stopzone\>" fold
syn region texZone start="\\verb\*\z([^ \ta-zA-Z@]\)" end="\z1\|%stopzone\>"

let b:current_syntax = "cct"
