colorscheme blue
set background=dark

au BufNewFile,BufRead *.tex,*.latex,*.sty,*.dtx,*.ltx,*.ctx setf cct
syntax on

autocmd BufRead *.tex,*.ctx,*.sty,*.dtx set tw=78 | set formatoptions+=tqmM
	\ | set encoding=euc-cn

" Delete some less useful ToolBar buttons to save space
aunmenu ToolBar.Print
aunmenu ToolBar.LoadSesn
aunmenu ToolBar.SaveSesn
aunmenu ToolBar.Help
aunmenu ToolBar.FindHelp

" Note ZLB: 'icon=/usr/share/ite/pixmaps/Empty.xpm' does not work (why?),
"	    thus we have to create symbolic links in $VIMRUNTIME/bitmaps
"am ToolBar.Empty	:<CR>
an ToolBar.-sep100-	<Nop>

tm ToolBar.CTeX		LaTeX 
am ToolBar.CTeX		:call <SID>CTeX()<CR>
fun <SID>CTeX()
    wall
    " We have to use '!cmd' for user interactions
    !env VTEX_CMD=$VTEX_CTEXCMD VTEX_OPTS=$VTEX_OPTS vtex #1
endfun

tm ToolBar.XDvi		DVI Ԥ
am ToolBar.XDvi		:call <SID>ViewDVI()<CR>
fun <SID>ViewDVI()
    let cmd = "env VTEX_CMD=\"kdvi-wrapper\" XEDITOR=vtex VTEX_NAME="
    let cmd = cmd . $VTEX_NAME . " vtex " . expand("#1<") . " &"
    let dummy = system(cmd)
endfun

tm ToolBar.Search	DVI 
am ToolBar.Search	:call <SID>ForwardSearch()<CR>
fun <SID>ForwardSearch()
    let cmd = "env VTEX_CMD=\"kdvi-wrapper\" XEDITOR=vtex VTEX_NAME="
    let cmd = cmd . $VTEX_NAME . " vtex \"file:"
    let cmd = cmd .  expand("#1<") .  "#src:" .  line(".")
    let cmd = cmd . " " . bufname("%") .  "\" &"
    let dummy = system(cmd)
endfun

tm ToolBar.Quick	TeX  + DVI Ԥ
am ToolBar.Quick	:call <SID>QuickBuild()<CR>
fun <SID>QuickBuild()
    call <SID>CTeX()
    call <SID>ViewDVI()
endfun

"am ToolBar.Empty1 :<CR>
an ToolBar.-sep101-	<Nop>

tm ToolBar.Log		鿴 .log ļ
am ToolBar.Log		:edit #1<.log<CR>

tm ToolBar.Clean	ʱļ (ctextemp_*.*)
am ToolBar.Clean	:let dummy = system("ctex -clean")<CR>

tm ToolBar.Master	ĵ
am ToolBar.Master 	:buffer 1<CR>

tm ToolBar.Spell	Ӣƴд
am ToolBar.Spell	:call <SID>Spell()<CR>
fun <SID>Spell()
    update
    so `/usr/share/ite/spell.sh %`
endfun

" TODO: QuickFix/TeX support
compiler tex
let &makeprg='ctex ' . $VTEX_OPTS . ' -interaction=nonstopmode '. expand("#1")
